Subject: Re: Bug#219: x2gosqlitewrapper is looking for x2gosqlitewrapper.pl in /usr/local/lib/x2go directory

From: Jan Engelhardt <[email-masked]>
Date: Thu, 23 May 2013 01:16:48 +0200 (CEST)

On Thursday 2013-05-23 00:20, Mike Gabriel wrote:
>
>> Package: x2goserverVersion: 4.0.0.2
>> I recently upgraded x2goserver to 4.0.0.2 on RHEL6 and it stopped working. I
>> found out that x2gosqlitewrapper is looking for x2gosqlitewrapper.pl in
>> /usr/local/lib/x2go directory. So when I created a symlink in that directory
>> it started working again.
>> Please change the path for the file in source code or change the package to
>> create the link on installation.
>
> @Jan: can you check the RPM packages and make sure that the PREFIX path reaches
> the main Makefile of X2Go Server? A similar change to the packaging has to be
> introduced to x2gobroker.git.

Fixed for x2goserver.

In x2gobroker however, there are still lots of hardcoded (in the
tarball!) /usr/lib/x2go instead of $(LIBDIR)/x2go...